angular.module('focaAbmPlazoPago')
    .service('focaAbmPlazoPagoService', [
        '$http', 'API_ENDPOINT',
        function($http, API_ENDPOINT) {
            return {
                obtenerPlazosPago: function() {
                    return $http.get(API_ENDPOINT.URL + '/plazo-pago');
                },
                obtenerPlazoPago: function(id) {
                    return $http.get(API_ENDPOINT.URL + '/plazo-pago/' + id);
                },
                guardarPlazoPago: function(plazoPago) {
                    return $http.post(
                        API_ENDPOINT.URL + '/plazo-pago',
                        {plazoPago: plazoPago}
                    );
                },
                borrarPlazoPago: function(id) {
                    return $http.delete(API_ENDPOINT.URL + '/plazo-pago/' + id);
                }
            };
        }
    ]);
